Bug 13549 - Add cardnumber to overdue circulation report overdue.pl
Summary: Add cardnumber to overdue circulation report overdue.pl
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Bugs List
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-09 21:18 UTC by Marjorie Barry-Vila
Modified: 2016-01-19 04:36 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
overdue_report (99.11 KB, image/png)
2015-01-09 21:18 UTC, Marjorie Barry-Vila
Details
Bug 13549: Add cardnumber to overdue circulation report overdue.pl (2.80 KB, patch)
2015-01-13 03:33 UTC, Justin Vos
Details | Diff | Splinter Review
[SIGNED OFF] Bug 13549: Add cardnumber to overdue circulation report overdue.pl (2.86 KB, patch)
2015-01-13 07:12 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 13549: Add cardnumber to overdue circulation report overdue.pl (2.92 KB, patch)
2015-01-15 09:03 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marjorie Barry-Vila 2015-01-09 21:18:38 UTC
Created attachment 35096 [details]
overdue_report

Hi,

It would be fine to see borrower's cardnumber on overdue circulation report in patron column.

Thanks.

Marjorie
Comment 1 Justin Vos 2015-01-13 02:28:28 UTC
I'm working on this.
Comment 2 Justin Vos 2015-01-13 03:33:21 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2015-01-13 07:12:57 UTC Comment hidden (obsolete)
Comment 4 Martin Renvoize 2015-01-15 09:03:56 UTC
Created attachment 35291 [details] [review]
[PASSED QA] Bug 13549: Add cardnumber to overdue circulation report overdue.pl

Test Plan:
 - Create an overdue item.
 - Navigate to overdue circulation report (Home -> Circulation -> Overdues)
 - Notice there is no card number showing in the Patron column.
 - Apply patch.
 - Refresh page.
 - Notice there is a card number showing in the Patron column.

Signed-off-by: Justin <justinvos@live.com>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 5 Martin Renvoize 2015-01-15 09:05:20 UTC
Passing QA, passes scripts, tests all still pass and is a nice fix.. Thanks Justin (and assuming you the same Justin that also fixed utf8 in git-bz.. double thanks :) )
Comment 6 Tomás Cohen Arazi 2015-03-31 17:20:17 UTC
Patch pushed to master.

Thanks Justin!